Subject: bug#58605: 29.0.50; Commit 2a2f5530fa2 breaks ldap-search-internal

From: Filipp Gunbin <[email-masked]>
Date: Tue, 25 Oct 2022 18:07:47 +0300

Hi Jens,

On 25/10/2022 15:42 +0200, Jens Lechtenboerger wrote:

> Hi Filipp,
>
> I’m not sure about conventions for closed bugs but I reply once more
> here...

Of course you can post in closed bugs as well.

[...]
>>>> But ldap-search expects ldap-ldapsearch-args to be at least what default
>>>> value is, to be able to parse the output (btw, "-LL" was there since
>>>> "forever", which is 20 years in this case; it's just the third L which
>>>> was added recently, to exclude ldif version from the output).
>>>
>>> How should users know about that expectation?
>>
>> As I wrote, there should be no need to use it at all.
>
> Then maybe it should not exist (at least not as defcustom).
> Alternatively, the doc string might be improved:
> A list of required arguments to pass to ‘ldapsearch’.  Internal code
> depends on the default value.

For some reason I was sure that it was a defvar, not a defcustom.  I've
now moved those options out of its default value.  Should be safe,
there's no harm in their duplication (if somebody still includes them
there), and it seems there're no other contradicting options.

Thanks,
Filipp.